# Send Event Type Example Message

> Webhooks API, POST /endpoint/{endpoint_id}/send-example: Send an example message for a specific event.

`POST /endpoint/{endpoint_id}/send-example` on the Webhooks API. Base URL: `https://api.sinay.ai/webhook/api/v1`.

Send an example message for a specific event. Note that this will only sent demo data (and not real tracking data) This can only be used to send event types that are configured for the endpoint.

## Path parameters

::api-parameters{location="path"}
| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `endpoint_id` | string | Yes | The ep's ID or UID. Example: `unique-ep-identifier`. |
::

## Header parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `idempotency-key` | string | No | The request's idempotency key. |

## Request body

`application/json`, required.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `eventType` | string | Yes | The event type's name. |

::api-request-body
Example request body:

```json
{
  "eventType": [
    "shipment.added.to.endpoint",
    "container.new.event.detected"
  ]
}
```
::

## Responses

::api-response
---
status: "202"
description: ""
---

Body: `application/json`, object.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `eventId` | string, nullable | No | Optional unique identifier for the message. |
| `eventType` | string | Yes | The event type's name. |
| `payload` | object | Yes | — |
| `channels` | array of string, nullable | No | List of free-form identifiers that endpoints can filter by. |
| `id` | string | Yes | The msg's ID. |
| `timestamp` | string (date-time) | Yes | — |

::

::api-response
---
status: "400"
description: Bad request
---

Body: `application/json`, object.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `code` | string | Yes | — |
| `detail` | string | Yes | — |

::

::api-response
---
status: "403"
description: Forbidden
---

Body: `application/json`, object.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `code` | string | Yes | — |
| `detail` | string | Yes | — |

::

::api-response
---
status: "404"
description: Not Found. Endpoint not found
---

Body: `application/json`, object.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `code` | string | Yes | — |
| `detail` | string | Yes | — |

::

::api-response
---
status: "422"
description: Validation Error
---

Body: `application/json`, object.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `detail` | array of object | Yes | — |
| `detail[].loc` | array of string | Yes | The location as a [`Vec`] of [`String`]s -- often in the form `["body", "field_name"]`, `["query", "field_name"]`, etc. They may, however, be arbitrarily deep. |
| `detail[].msg` | string | Yes | The message accompanying the validation error item. |
| `detail[].type` | string | Yes | The type of error, often "type_error" or "value_error", but sometimes with more context like as "value_error.number.not_ge". |

::

::api-response
---
status: "429"
description: Too Many Requests
---

Body: `application/json`, object.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `code` | string | Yes | — |
| `detail` | string | Yes | — |

::

::api-response
---
status: "500"
description: Internal Error
---

Body: `application/json`, object.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `code` | string | Yes | — |
| `detail` | string | Yes | — |

::
